Scilab Function

colcomp - compression de colonnes, noyau

### Calling Sequence

  `[W,rk]=colcomp(A [,flag] [,tol])`

### Parameters

- `A` : matrice réelle ou complexe
- `flag` : chaîne de caractères
- `tol` : nombre réel
- `W` : matrice carré régulière (matrice de changement de base)
- `rk` : entier (rang de"`A` )

### Description

Compression des colonnes de `A` : `Ac = A*W` est à colonnes compressées, c'est à dire

`Ac=[0,Af]` et `Af` est de rang maximal rank(`Af` ) = rank(`A` ) = `rk` .

`flag` et `tol` sont des paramètres optionnels : `flag = 'qr'` ou `'svd'` (`'svd'` par défaut).

`tol` = paramètre de tolérance (de l'ordre de `%eps` par défaut).

Les `ma-rk` premières colonnes de `W` forment une base du noyau de `A` quand `size(A)=[na,ma]` .

### Examples

    A=rand(5,2)*rand(2,5);
    [X,r]=colcomp(A);
    norm(A*X(:,1:$-r),1)

### See Also

`rowcomp` , `fullrf` , `fullrfk` , `kernel` ,

### Author

F.D.;